aboutsummaryrefslogtreecommitdiff
path: root/devtools/nodejs.sh
diff options
context:
space:
mode:
authorJulie Qiu <julie@golang.org>2021-08-03 11:11:15 -0400
committerJulie Qiu <julie@golang.org>2021-08-03 18:08:39 +0000
commit906b1171961bfc1b338df6549836eb63f1a7777d (patch)
tree569cb282c67f3325c43e3b98ed6d7fe8c83d9eb8 /devtools/nodejs.sh
parent99ad3e224fdc474436db140e01592ce58e9574f2 (diff)
downloadgo-x-pkgsite-906b1171961bfc1b338df6549836eb63f1a7777d.tar.xz
devtools/docker: add run.sh
run.sh is added, which is a shorthand for running `docker-compose -f devtools/docker/compose.yaml`. The dockercompose function from devtools/docker.sh is also now used where applicable. Change-Id: I424157c25b4ad7f96d23ba37c3dc2cb4caa34c8c Reviewed-on: https://go-review.googlesource.com/c/pkgsite/+/339392 Trust: Julie Qiu <julie@golang.org> Run-TryBot: Julie Qiu <julie@golang.org> Reviewed-by: Jamal Carvalho <jamal@golang.org>
Diffstat (limited to 'devtools/nodejs.sh')
-rwxr-xr-xdevtools/nodejs.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/devtools/nodejs.sh b/devtools/nodejs.sh
index 369a50ba..32279bdb 100755
--- a/devtools/nodejs.sh
+++ b/devtools/nodejs.sh
@@ -4,10 +4,12 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
+source devtools/docker.sh || { echo "Are you at repo root?"; exit 1; }
+
set -e
# Script for running a nodejs docker image.
# It passes env variables for e2e tests,
# mounts the pwd into a volume in the container at /pkgsite,
# and sets the working directory in the container to /pkgsite.
-docker-compose -f devtools/docker/compose.yaml run --rm nodejs $@
+dockercompose run --rm nodejs $@